Gridstate
ApiV1Queue records

List normalized queue records

GET
/v1/queue-records

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

market?string
source_id?string
known_at?string
state?string
status?string
county?string
min_capacity_mw?number
Range0 <= value
max_capacity_mw?number
Range0 <= value
expand?string
Match^(details|evidence)(,(details|evidence))*$
cursor?string
limit?integer
Range1 <= value <= 500

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/queue-records"
{  "data": [    {      "id": "string",      "sourceId": "string",      "assetHash": "string",      "recordKey": "string",      "market": "string",      "projectName": "string",      "status": "active",      "requestedCapacityMw": 0,      "pointOfInterconnection": "string",      "state": "string",      "county": "string",      "proposedDate": "string",      "observedAt": "string",      "sourceLocator": "string",      "evidenceUrl": "string",      "qualityFlags": [        {          "code": "string",          "severity": "info",          "field": "string",          "message": "string"        }      ],      "expandedDetails": {        "recordId": "string",        "queueDate": "string",        "onlineDate": "string",        "withdrawnDate": "string",        "interconnectionAgreementDate": "string",        "studyPhaseOriginal": "string",        "studyPhaseNormalized": "string",        "countyFips": "string",        "regionOriginal": "string",        "utilityName": "string",        "transmissionEntity": "string",        "developer": "string",        "cluster": "string",        "serviceType": "string",        "projectType": "string",        "technology": "string",        "capacityComponentsMw": [          0        ],        "evidence": {          "assertionType": "observed",          "authority": "officially_sponsored_synthesis",          "sourceLocator": "string",          "originalRecord": {            "property1": "string",            "property2": "string"          }        },        "qualityFlags": [          {            "code": "string",            "severity": "info",            "field": "string",            "message": "string"          }        ]      },      "expandedEvidence": {        "recordId": "string",        "sourceId": "string",        "assetHash": "string",        "sourceUrl": "http://example.com",        "sourceLocator": "string",        "locator": {          "type": "spreadsheet_row",          "fileName": "string",          "worksheet": "string",          "row": 1        },        "sourceRow": {          "property1": "string",          "property2": "string"        },        "sourceName": "string",        "termsClassification": "string",        "redistributionPolicy": "normalized_records_only"      }    }  ],  "meta": {    "hasMore": true,    "limit": 1,    "nextCursor": "string",    "order": "id_asc"  }}